ReflectionType
ReflectionType::isBuiltin
ReflectionType
PHP Manual

# ReflectionType::allowsNull

(PHP 7)

ReflectionType::allowsNull — Checks if null is allowed

### Description

public bool ReflectionType::allowsNull ( void )

Checks whether the parameter allows `NULL`.

### Parameters

This function has no parameters.

### Return Values

`TRUE` if `NULL` is allowed, otherwise `FALSE`

### Examples

Example #1 ReflectionType::allowsNull() example

`<?php
function someFunction(string $param, StdClass $param2 = null) {}
$reflectionFunc = new ReflectionFunction('someFunction');
$reflectionParams = $reflectionFunc->getParameters();
var_dump($reflectionParams[0]->getType()->allowsNull());
var_dump($reflectionParams[1]->getType()->allowsNull());`

The above example will output something similar to:

    bool(false)
    bool(true)

### See Also

- ReflectionType::isBuiltin() - Checks if it is a built-in type
- ReflectionType::__toString() - To string
- ReflectionParameter::getType() - Gets a parameter's type

ReflectionType
ReflectionType::isBuiltin
ReflectionType
PHP Manual